# Testcases run till 63%, then stops the rpmbuild as well.So disable by default.
%bcond_with dotests

%global __tar /opt/freeware/bin/tar

%global py_major	3.9

%global python_major python%{py_major}

%global pkgname scipy

%global meta_package python3-%{pkgname}

%global python3_sitearch %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")

Name:           %{python_major}-%{pkgname}
Version:	1.13.1
Release:	1
Summary:        Scientific Tools for Python
License:        BSD
URL:            https://www.scipy.org/scipylib/index.html
Source0:	https://files.pythonhosted.org/packages/ae/00/48c2f661e2816ccf2ecd77982f6605b2950afe60f60a52b4cbbc2504aa8f/scipy-%{version}.tar.gz

%global _description %{expand:
Scipy is open-source software for mathematics, science, and
engineering. The core library is NumPy which provides convenient and
fast N-dimensional array manipulation. The SciPy library is built to
work with NumPy arrays, and provides many user-friendly and efficient
numerical routines such as routines for numerical integration and
optimization. Together, they run on all popular operating systems, are
quick to install, and are free of charge. NumPy and SciPy are easy to
use, but powerful enough to be depended upon by some of the world's
leading scientists and engineers.}

BuildRequires:  %{python_major}-devel >= %{py_major}
BuildRequires:  %{python_major}-setuptools >= 65.2.0
BuildRequires:  %{python_major}-pybind11 >= 2.12.0
BuildRequires:  %{python_major}-numpy >= 2.0.2
BuildRequires:  %{python_major}-numpy-f2py >= 2.0.2
BuildRequires:  %{python_major}-Cython >= 3.0.2 
BuildRequires:	meson >= 1.2.1
BuildRequires:	openblas-devel >= 0.3.18
BuildRequires:  %{python_major}-pythran >= 0.17

Requires:      %{python_major}-numpy >= 2.0.2
Requires:      %{python_major} >= %{py_major}.16
Requires:	openblas >= 0.3.18
Requires:	libgfortran >= 10.3.0
%if %{toolchain} == "gcc"
Requires:	libstdc++ >= 10.3.0
%endif
%if %{toolchain} == "gcc"
Requires:	libgcc >= 10.3.0
%endif

%description %{_description}

%package -n %{meta_package}
Summary:       Meta-package for %{name}

Requires:	python3 >= 3.9.19
Requires:      %{name} = %{version}-%{release}
Requires:	python3-numpy >= 2.0.2

%description -n %{meta_package}
This is a Meta-package for %{name} package.


%prep
%autosetup -n %{pkgname}-%{version} -p1


%build

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

ulimit -d unlimited
ulimit -m unlimited

export FCLAGS="gfortran -pthread"
export FFLAGS="-pthread -maix64"
export CXX="%{__cxx__} -pthread -fno-extern-tls-init"
export CXXFLAGS=-maix64
export OBJECT_MODE=64
export LDFLAGS="-maix64 -Wl,-blibpath:/opt/freeware/lib/pthread:/opt/freeware/lib64:/opt/freeware/lib:/usr/lib:/lib -L/opt/freeware/lib/pthread/"
export CC="%{__cc__} -pthread -fno-extern-tls-init"
export CFLAGS=-maix64

pip3.9 install . --root %{buildroot} -I --no-deps --no-build-isolation -v

%check
%if %{with dotests}

#python3 -m venv python_venv
#. ./python_venv/bin/activate
#pip3 install pytest
#pip3 install hypothesis
#ulimit -d unlimited
#ulimit -n unlimited
#ulimit -m unlimited
# ulimit -f unlimited
#( python runtests.py -m 'full' -v || true )
#deactivate

%endif

%clean 
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,system,-)
%license LICENSE.txt
%doc README.rst
%{python3_sitearch}/*

%files -n %{meta_package}
%defattr(-,root,system,-)
# Empty files

%changelog
* Thu Jan 16 2025 Prajwal B Mehendarkar<Prajwal.B.Mehendarkar@ibm.com> - 1.13.1-1
- Updated to latest version

* Mon May 27 2024 Aditya Kamath <Aditya.Kamath1@ibm.com> - 1.11.2-2
- Build with blibpath set. 

* Wed Sep 06 2023 Aditya Kamath <Aditya.Kamath1@ibm.com> - 1.11.2-1
- Update to latest version and CVE fixes CVE-2023-25399

* Wed Mar 01 2023 Ayappan P <ayappap2@in.ibm.com> - 1.7.1-2
- Build using python3.9

* Thu Sep 16 2021 Ayappan P <ayappap2@in.ibm.com> - 1.7.1-1
- First port of scipy to AIX Toolbox
